Package org.pushingpixels.substance.internal.utils

# Class RolloverMenuItemListener

java.lang.Object
org.pushingpixels.substance.internal.utils.RolloverMenuItemListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `EventListener`, `MouseInputListener`

public class RolloverMenuItemListener extends Object implements MouseInputListener
Menu item listener for rollover effects. Tracks the mouse motion interaction for the associated menu item. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`RolloverMenuItemListener(JMenuItem item, StateTransitionTracker stateTransitionTracker)`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`mouseClicked(MouseEvent e)`
`void`
`mouseDragged(MouseEvent e)`
`void`
`mouseEntered(MouseEvent e)`
`void`
`mouseExited(MouseEvent e)`
`void`
`mouseMoved(MouseEvent e)`
`void`
`mousePressed(MouseEvent e)`
`void`
`mouseReleased(MouseEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RolloverMenuItemListener

public RolloverMenuItemListener(JMenuItem item, StateTransitionTracker stateTransitionTracker)
Simple constructor.

Parameters:
  `item` - The associated menu item.

## Method Details

### mouseEntered

public void mouseEntered(MouseEvent e)

Specified by:
  `mouseEntered` in interface `MouseListener`

### mouseExited

public void mouseExited(MouseEvent e)

Specified by:
  `mouseExited` in interface `MouseListener`

### mouseReleased

public void mouseReleased(MouseEvent e)

Specified by:
  `mouseReleased` in interface `MouseListener`

### mouseClicked

public void mouseClicked(MouseEvent e)

Specified by:
  `mouseClicked` in interface `MouseListener`

### mousePressed

public void mousePressed(MouseEvent e)

Specified by:
  `mousePressed` in interface `MouseListener`

### mouseDragged

public void mouseDragged(MouseEvent e)

Specified by:
  `mouseDragged` in interface `MouseMotionListener`

### mouseMoved

public void mouseMoved(MouseEvent e)

Specified by:
  `mouseMoved` in interface `MouseMotionListener`